#pragma once
#include "TimeUtils.h"

namespace Utils {
	class Color {
	private:
		static auto lerpColor(ImColor, ImColor, float) -> ImColor;
		static auto hsvToRgb(float, float, float, float&, float&, float&) -> void;
		static auto getRainbowColor(float, int, float, float, float) -> ImColor;

	public:
		static auto getWaveColor(float, int, std::vector<std::pair<float, ImColor>>) -> ImColor;
		static auto getColor(float, int, float) -> ImColor;
		static auto getMCColor(std::string, float) -> ImColor;
	};
}
